Package org.bgerp.plugin.pln.callboard.model

# Class WorkType

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
org.bgerp.plugin.pln.callboard.model.WorkType

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class WorkType extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MODE_TIME_ON_START`
  `static final int`
  `MODE_TIME_ON_STEP`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCategory()`
  `String`
  `getColor()`
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `boolean`
  `getIsNonWorkHours()`
  `int`
  `getProcessExecuteTime(Connection con, ShiftData shiftData, Process process)`
  Возвращает время в минутах, требуемое для исполнения задачи.
  `String`
  `getRuleConfig()`
  `List<org.bgerp.plugin.pln.callboard.model.WorkType.Rule>`
  `getRuleExpresionList()`
  `List<String>`
  `getShortcutList()`
  `int`
  `getSlotCount(int minuteFrom, int minuteTo)`
  `int`
  `getTimeSetMode()`
  `int`
  `getTimeSetStep()`
  `boolean`
  `isNonWorkHours()`
  `void`
  `setCategory(int category)`
  `void`
  `setColor(String color)`
  `void`
  `setComment(String comment)`
  `void`
  `setConfigMap(ConfigMap configMap)`
  `void`
  `setNonWorkHours(boolean isNonWorkHours)`
  `void`
  `setRuleConfig(String ruleConfig)`
  `void`
  `setShortcutList(List<String> shortcutList)`
  `void`
  `setTimeSetMode(int distributeMode)`
  `void`
  `setTimeSetStep(int step)`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Field Details

  - ### MODE_TIME_ON_START

    public static final int MODE_TIME_ON_START
    See Also:
      - Constant Field Values

  - ### MODE_TIME_ON_STEP

    public static final int MODE_TIME_ON_STEP
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### WorkType

    public WorkType()

- ## Method Details

  - ### getCategory

    public int getCategory()

  - ### setCategory

    public void setCategory(int category)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### isNonWorkHours

    public boolean isNonWorkHours()

  - ### setNonWorkHours

    public void setNonWorkHours(boolean isNonWorkHours)

  - ### getIsNonWorkHours

    public boolean getIsNonWorkHours()

  - ### getColor

    public String getColor()

  - ### setColor

    public void setColor(String color)

  - ### getShortcutList

    public List<String> getShortcutList()

  - ### setShortcutList

    public void setShortcutList(List<String> shortcutList)

  - ### getTimeSetStep

    public int getTimeSetStep()

  - ### setTimeSetStep

    public void setTimeSetStep(int step)

  - ### getTimeSetMode

    public int getTimeSetMode()

  - ### setTimeSetMode

    public void setTimeSetMode(int distributeMode)

  - ### getConfig

    public String getConfig()

  - ### setConfigMap

    public void setConfigMap(ConfigMap configMap)

  - ### getRuleConfig

    public String getRuleConfig()

  - ### setRuleConfig

    public void setRuleConfig(String ruleConfig)

  - ### getRuleExpresionList

    public List<org.bgerp.plugin.pln.callboard.model.WorkType.Rule> getRuleExpresionList()

  - ### getProcessExecuteTime

    public int getProcessExecuteTime(Connection con, ShiftData shiftData, Process process)
    Возвращает время в минутах, требуемое для исполнения задачи.
    Parameters:
      `con` -
      `process` -
    Returns:

  - ### getSlotCount

    public int getSlotCount(int minuteFrom, int minuteTo)